function startRequest()
{
  tfKodText = document.getElementById('tfKod').value;
  var btnWejdz = document.getElementById('btnWejdz');
  btnWejdz.disabled = true;

  url = "http://localhost/dane.php?kod=" + tfKodText;
  url = encodeURI(url);

  startGETRequest(url, onComplete, onEnd);
}

function onComplete(text, xml)
{
  if(text.substr(0, 5) == "error"){
    arr = text.split("\n");
    if(arr.length != 2){
      alert("Nieprawidłowa odpowiedź serwera.");
    }
    else{
      alert(arr[1]);
    }
  }
  else{
    location.href = text;
  }
}

function onEnd()
{
  var btnWejdz = document.getElementById('btnWejdz');
  btnWejdz.disabled = false;
}